# Array File Reference

`#include <vector>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/UByte4>`
`#include <osg/Object>`
`#include <osg/GL>`

Include dependency graph for Array:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_ARRAY 1

## Typedefs

typedef TemplateIndexArray< GLbyte, Array::ByteArrayType, 1, GL_BYTE > | ByteArray
typedef TemplateIndexArray< GLshort, Array::ShortArrayType, 1, GL_SHORT > | ShortArray
typedef TemplateIndexArray< GLint, Array::IntArrayType, 1, GL_INT > | IntArray
typedef TemplateIndexArray< GLubyte, Array::UByteArrayType, 1, GL_UNSIGNED_BYTE > | UByteArray
typedef TemplateIndexArray< GLushort, Array::UShortArrayType, 1, GL_UNSIGNED_SHORT > | UShortArray
typedef TemplateIndexArray< GLuint, Array::UIntArrayType, 1, GL_UNSIGNED_INT > | UIntArray
typedef TemplateArray< GLfloat, Array::FloatArrayType, 1, GL_FLOAT > | FloatArray
typedef TemplateArray< UByte4, Array::UByte4ArrayType, 4, GL_UNSIGNED_BYTE > | UByte4Array
typedef TemplateArray< Vec2, Array::Vec2ArrayType, 2, GL_FLOAT > | Vec2Array
typedef TemplateArray< Vec3, Array::Vec3ArrayType, 3, GL_FLOAT > | Vec3Array
typedef TemplateArray< Vec4, Array::Vec4ArrayType, 4, GL_FLOAT > | Vec4Array

## Define Documentation

#define OSG_ARRAY 1

## Typedef Documentation

typedef TemplateIndexArray<GLbyte,Array::ByteArrayType,1,GL_BYTE> osg::ByteArray

typedef TemplateArray<GLfloat,Array::FloatArrayType,1,GL_FLOAT> osg::FloatArray

typedef TemplateIndexArray<GLint,Array::IntArrayType,1,GL_INT> osg::IntArray

typedef TemplateIndexArray<GLshort,Array::ShortArrayType,1,GL_SHORT> osg::ShortArray

typedef TemplateArray<UByte4,Array::UByte4ArrayType,4,GL_UNSIGNED_BYTE> osg::UByte4Array

typedef TemplateIndexArray<GLubyte,Array::UByteArrayType,1,GL_UNSIGNED_BYTE> osg::UByteArray

typedef TemplateIndexArray<GLuint,Array::UIntArrayType,1,GL_UNSIGNED_INT> osg::UIntArray

typedef TemplateIndexArray<GLushort,Array::UShortArrayType,1,GL_UNSIGNED_SHORT> osg::UShortArray

typedef TemplateArray<Vec2,Array::Vec2ArrayType,2,GL_FLOAT> osg::Vec2Array

typedef TemplateArray<Vec3,Array::Vec3ArrayType,3,GL_FLOAT> osg::Vec3Array

typedef TemplateArray<Vec4,Array::Vec4ArrayType,4,GL_FLOAT> osg::Vec4Array